ros-rolling-image-proc (6.0.10-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 26 Feb 2025 23:00:00 -0000

ros-rolling-image-proc (6.0.9-1noble) noble; urgency=high

  * Fix new opencv aruco api (#1072 <https://github.com/ros-perception/image_pipeline/issues/1072>)
  * Contributors: Bernd Müller

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 12 Feb 2025 23:00:00 -0000

ros-rolling-image-proc (6.0.8-1noble) noble; urgency=high

  * Removed warning (#1063 <https://github.com/ros-perception/image_pipeline/issues/1063>)
  * Contributors: Alejandro Hernández Cordero

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 09 Feb 2025 23:00:00 -0000

ros-rolling-image-proc (6.0.7-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 26 Dec 2024 23:00:00 -0000

ros-rolling-image-proc (6.0.6-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 10 Dec 2024 23:00:00 -0000

ros-rolling-image-proc (6.0.5-1noble) noble; urgency=high

  * Use TF2 package for quaternion conversion (#1031 <https://github.com/ros-perception/image_pipeline/issues/1031>)
    The OpenCV quaternion class was not added until OpenCV 4.5.1, so it's
    less widely available than the TF2 conversion. This change allows a
    source build of the ROS 2 "perception" variant on Ubuntu 20.04 without a
    custom source build of OpenCV.
    Addresses issue
    https://github.com/ros-perception/image_pipeline/issues/1030
  * Contributors: Ted Steiner

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 29 Oct 2024 23:00:00 -0000

ros-rolling-image-proc (6.0.4-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 15 Oct 2024 22:00:00 -0000

ros-rolling-image-proc (6.0.3-1noble) noble; urgency=high

  * Publish using unique ptr (#1016 <https://github.com/ros-perception/image_pipeline/issues/1016>)
    Prevents doing an extra copy of the data when using intra-process
    communication.
  * Finish QoS updates (#1019 <https://github.com/ros-perception/image_pipeline/issues/1019>)
    This implements the remainder of #847 <https://github.com/ros-perception/image_pipeline/issues/847>:
    - Make sure publishers default to system defaults (reliable)
    - Add QoS overriding where possible (some of the image_transport /
    message_filters stuff doesn't really support that)
    - Use the matching heuristic for subscribers consistently
  * Updated deprecated rcpputils::path (#1014 <https://github.com/ros-perception/image_pipeline/issues/1014>)
  * Contributors: Alejandro Hernández Cordero, Błażej Sowa, Michael Ferguson

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 19 Aug 2024 22:00:00 -0000

ros-rolling-image-proc (6.0.2-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 22 Jul 2024 22:00:00 -0000

ros-rolling-image-proc (6.0.1-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 21 Jul 2024 22:00:00 -0000

ros-rolling-image-proc (6.0.0-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 May 2024 22:00:00 -0000

ros-rolling-image-proc (5.0.1-1noble) noble; urgency=high

  * Fix parameter names in components.rst (#959 <https://github.com/ros-perception/image_pipeline/issues/959>)
    In the docs for image_proc::CropDecimateNode , change the parameter
    names x_offset and y_offset to offset_x and offset_y, matching
    the actual names of parameters defined in crop_decimate.cpp
  * fix image publisher remapping (#941 <https://github.com/ros-perception/image_pipeline/issues/941>)
    Addresses #940 <https://github.com/ros-perception/image_pipeline/issues/940> - fixes the compressed/etc topic remapping for publishers
  * unified changelog, add missing image, deduplicate tutorials (#938 <https://github.com/ros-perception/image_pipeline/issues/938>)
    Last bit of documentation updates - putting together a single changelog
    summary for the whole release (rather than scattering among packages).
    Unified the camera_info tutorial so it isn't duplicated. Added a missing
    image from image_rotate (was on local disk, but hadn't committed it)
  * Add TrackMarkerNode to image_proc (#930 <https://github.com/ros-perception/image_pipeline/issues/930>)
    Converts sensors_msgs/Image into geometry_msg/PoseStamped using OpenCV Aruco marker detection.
  * migrate image_pipeline docs (#929 <https://github.com/ros-perception/image_pipeline/issues/929>)
    * Migrates image_pipeline overview page
    * Migrates CameraInfo wiki page
    * Adds links to the other packages in this stack
    * Updates depth_image_proc and image_proc to have the overview page properly named and in the TOC
  * migrate depth_image_proc docs (#926 <https://github.com/ros-perception/image_pipeline/issues/926>)
  * fixup bash command rendering (#927 <https://github.com/ros-perception/image_pipeline/issues/927>)
    I didn't actually rebuild with the suggestions in #925 <https://github.com/ros-perception/image_pipeline/issues/925> - but this is
    actually proper rendering (even my three-ticks version wasn't quite
    pretty)
  * migrate and update image_proc docs (#925 <https://github.com/ros-perception/image_pipeline/issues/925>)
    * move component documentation from ros wiki, update for various changes
    * add tutorial on how to run components
    * update tutorial on debayer/rectify to use launch file
    * remove image_proc node, it has always been completely broken and the
    launch file has the same (but working) functionality
    * update launch file to support namespace parameter for tutorial
  * QoS improvements for image_proc and stereo_image_proc (#922 <https://github.com/ros-perception/image_pipeline/issues/922>)
    First part of #847 <https://github.com/ros-perception/image_pipeline/issues/847>
    * Add QoS overrides for all publishers (in the new, standard way)
    * stereo_image_proc: Default subscriber QoS to SensorDataQoS
    * Clean up some of the comments around lazy subscribers, make them more
    consistent across nodes
  * Contributors: Michael Ferguson, Noah Mollerstuen

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 25 Mar 2024 23:00:00 -0000

ros-rolling-image-proc (5.0.0-1noble) noble; urgency=high

  * Port image_proc test to ROS 2 (#910 <https://github.com/ros-perception/image_pipeline/issues/910>)
  * Removed cfg files related with ROS 1 parameters (#911 <https://github.com/ros-perception/image_pipeline/issues/911>)
    Removed cfg files related with ROS 1 parameters
  * image_proc: consistent image_transport (#884 <https://github.com/ros-perception/image_pipeline/issues/884>)
    * consistent image_transport parameter for crop_decimate, crop_non_zero
    and debayer nodes
    * consistent remapping support for compressed/etc topics in all three
    nodes
    * add lazy subscription support to crop_non_zero
    Additional minor fixes:
    * put the getTopicQosProfile() for publisher right in front of publisher
    declaration for clarity
  * resize/recify: consistent image_transport (#883 <https://github.com/ros-perception/image_pipeline/issues/883>)
    * support image_transport parameter
    * proper renaming so compressed/etc topics work as expected
    Additional minor fixes:
    * rename interpolation -> interpolation_ for consistency
    * move parameter declaration BEFORE we create a publisher (and possibly
    get a subscriber created in connect callback)
    * put the getTopicQosProfile() for publisher right in front of publisher
    declaration for clarity
  * ROS 2: Merged resize.cpp: fix memory leak (#874 <https://github.com/ros-perception/image_pipeline/issues/874>)
    Related with this PR in ROS 1
    https://github.com/ros-perception/image_pipeline/pull/489
  * allow use as component or node (#852 <https://github.com/ros-perception/image_pipeline/issues/852>)
    This addresses
    https://github.com/ros-perception/image_pipeline/issues/823:
    * depth_image_proc was never implemented properly this way
    * image_proc might have once worked this way, but it appears upstream
    has changed over time and it was no longer doing the job.
    * stereo_image_proc is actually implemented correctly - I just added a
    comment
    With this PR:
    ```
    $ ros2 pkg executables image_proc
    image_proc crop_decimate_node
    image_proc crop_non_zero_node
    image_proc debayer_node
    image_proc image_proc
    image_proc rectify_node
    image_proc resize_node
    ```
    ```
    $ ros2 pkg executables depth_image_proc
    depth_image_proc convert_metric_node
    depth_image_proc crop_foremost_node
    depth_image_proc disparity_node
    depth_image_proc point_cloud_xyz_node
    depth_image_proc point_cloud_xyz_radial_node
    depth_image_proc point_cloud_xyzi_node
    depth_image_proc point_cloud_xyzi_radial_node
    depth_image_proc point_cloud_xyzrgb_node
    depth_image_proc point_cloud_xyzrgb_radial_node
    depth_image_proc register_node
    ```
  * add support for lazy subscribers (#815 <https://github.com/ros-perception/image_pipeline/issues/815>)
    This implements #780 <https://github.com/ros-perception/image_pipeline/issues/780> for ROS 2 distributions after Iron, where we have:
    * Connect/disconnect callbacks, per https://github.com/ros2/rmw/issues/330 (this made it into Iron)
    * Updated APIs in https://github.com/ros-perception/image_common/pull/272 (this is only in Rolling currently)
  * add myself as a maintainer (#846 <https://github.com/ros-perception/image_pipeline/issues/846>)
  * Use the same QoS profiles as publishers in image_proc
  * fix to allow remapping resize and image topics
  * Contributors: Alejandro Hernández Cordero, Joe Schornak, Michael Ferguson, Michal Wojcik

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 23 Jan 2024 23:00:00 -0000

ros-rolling-image-proc (3.0.1-1noble) noble; urgency=high

  * Replace deprecated headers
    Fixing compiler warnings.
  * add NOLINT to keep cpplint happy about curly brace being on new line
  * Add conversion from YUV422-YUY2
  * Contributors: Jacob Perron, Kenji Brameld, Tillmann Falck

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 03 Dec 2022 23:00:00 -0000

ros-rolling-image-proc (3.0.0-1noble) noble; urgency=high

  * Cleanup of image_proc.
  * Some small fixes noticed while reviewing.
  * Remove unnecessary find_package
  * Deal with uncrustify and cpplint
  * LTTng instrument image_proc::RectifyNode and image_proc::ResizeNode
  * bring over ros1 fix for missing roi resize
  * Add maintainer (#667 <https://github.com/ros-perception/image_pipeline/issues/667>)
  * Fix build with later versions of OpenCV 3
  * Refactor image_proc and stereo_image_proc launch files (#583 <https://github.com/ros-perception/image_pipeline/issues/583>)
  * Contributors: Chris Lalancette, Evan Flynn, Jacob Perron, Scott K Logan, Víctor Mayoral Vilches

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 28 Apr 2022 22:00:00 -0000

ros-rolling-image-proc (2.2.1-1noble) noble; urgency=high

  * make crop_decimate work (#593 <https://github.com/ros-perception/image_pipeline/issues/593>)
  * remove email blasts from steve macenski (#596 <https://github.com/ros-perception/image_pipeline/issues/596>)
  * Disable "Publish Color!" debug_info (#577 <https://github.com/ros-perception/image_pipeline/issues/577>)
  * [Foxy] Use ament_auto Macros (#573 <https://github.com/ros-perception/image_pipeline/issues/573>)
  * Contributors: Dereck Wonnacott, Joshua Whitley, Michael Ferguson, Steve Macenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 26 Aug 2020 22:00:00 -0000

ros-rolling-image-proc (2.2.0-1noble) noble; urgency=high

  * Replacing deprecated header includes with new HPP versions. (#566 <https://github.com/ros-perception/image_pipeline/issues/566>)
  * Opencv 3 compatibility (#564 <https://github.com/ros-perception/image_pipeline/issues/564>)
    * Remove GTK from image_view.
    * Reinstate OpenCV 3 compatibility.
  * Fix bad quotes in image_proc launch file (#563 <https://github.com/ros-perception/image_pipeline/issues/563>)
    This fixes a flake8 error.
  * Contributors: Chris Lalancette, Jacob Perron, Joshua Whitley
  * Initial ROS2 commit.
  * Contributors: Michael Carroll

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 Jul 2020 22:00:00 -0000

ros-rolling-image-proc (1.12.23-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 09 May 2018 22:00:00 -0000

ros-rolling-image-proc (1.12.22-1noble) noble; urgency=high

  * Merge pull request #311 <https://github.com/ros-perception/image_pipeline/issues/311> from knorth55/revert-299
    Revert "Fix image_resize nodelet (#299 <https://github.com/ros-perception/image_pipeline/issues/299>)"
    This reverts commit 32e19697ebce47101b063c6a02b95dfa2c5dbc52.
  * Contributors: Shingo Kitagawa, Tully Foote

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 07 Dec 2017 23:00:00 -0000

ros-rolling-image-proc (1.12.21-1noble) noble; urgency=high

  * Fix image_resize nodelet (#299 <https://github.com/ros-perception/image_pipeline/issues/299>)
    Update interpolation types
    Add arguments to enable disable each nodelet
    Add default arguments for image_resize and image_rect
    Use toCVShare instead of toCVCopy
    Include image_resize in image_proc
  * Updated fix for traits change. (#303 <https://github.com/ros-perception/image_pipeline/issues/303>)
  * Fix C++11 compilation
    This fixes #292 <https://github.com/ros-perception/image_pipeline/issues/292> and #291 <https://github.com/ros-perception/image_pipeline/issues/291>
  * [image_proc][crop_decimate] support changing target image frame_id (#276 <https://github.com/ros-perception/image_pipeline/issues/276>)
  * Contributors: Furushchev, Mike Purvis, Vincent Rabaud, bikramak

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Nov 2017 23:00:00 -0000

ros-rolling-image-proc (1.12.20-1noble) noble; urgency=high

  * Add nodelet to resize image and camera_info (#273 <https://github.com/ros-perception/image_pipeline/issues/273>)
    * Add nodelet to resize image and camera_info
    * Depends on nodelet_topic_tools
    * Use recursive_mutex for mutex guard for dynamic reconfiguring
  * Fix nodelet name: crop_nonZero ->  crop_non_zero (#269 <https://github.com/ros-perception/image_pipeline/issues/269>)
    Fix https://github.com/ros-perception/image_pipeline/issues/217
  * Fix permission of executable files unexpectedly (#260 <https://github.com/ros-perception/image_pipeline/issues/260>)
  * address gcc6 build error
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Kentaro Wada, Lukas Bulwahn

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 29 Apr 2017 22:00:00 -0000

ros-rolling-image-proc (1.12.19-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Jul 2016 22:00:00 -0000

ros-rolling-image-proc (1.12.18-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Jul 2016 22:00:00 -0000

ros-rolling-image-proc (1.12.17-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 10 Jul 2016 22:00:00 -0000

ros-rolling-image-proc (1.12.16-1noble) noble; urgency=high

  * clean OpenCV dependency in package.xml
  * issue #180 <https://github.com/ros-perception/image_pipeline/issues/180> Check if all distortion coefficients are zero.
    Test with:
    rostest --reuse-master --text image_proc test_rectify.xml
    Can also test interactively with vimjay image_rect.launch, which brings up an rqt gui and camera info distortion coefficients can be dynamically reconfigured.
  * Add a feature to crop the largest valid (non zero) area
    Remove unnecessary headers
    change a filename to fit for the ROS convention
  * Contributors: Kenta Yonekura, Lucas Walter, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 18 Mar 2016 23:00:00 -0000

ros-rolling-image-proc (1.12.15-1noble) noble; urgency=high

  * simplify OpenCV3 conversion
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 16 Jan 2016 23:00:00 -0000

ros-rolling-image-proc (1.12.14-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 21 Jul 2015 22:00:00 -0000

ros-rolling-image-proc (1.12.13-1noble) noble; urgency=high

  * fix dependencies
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Apr 2015 22:00:00 -0000

ros-rolling-image-proc (1.12.12-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 30 Dec 2014 23:00:00 -0000

ros-rolling-image-proc (1.12.11-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 25 Oct 2014 22:00:00 -0000

ros-rolling-image-proc (1.12.10-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 27 Sep 2014 22:00:00 -0000

ros-rolling-image-proc (1.12.9-1noble) noble; urgency=high

  * get code to compile with OpenCV3
    fixes #96 <https://github.com/ros-perception/image_pipeline/issues/96>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 20 Sep 2014 22:00:00 -0000

ros-rolling-image-proc (1.12.8-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 18 Aug 2014 22:00:00 -0000

ros-rolling-image-proc (1.12.6-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 26 Jul 2014 22:00:00 -0000

ros-rolling-image-proc (1.12.4-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 27 Apr 2014 22:00:00 -0000

ros-rolling-image-proc (1.12.3-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 11 Apr 2014 22:00:00 -0000

ros-rolling-image-proc (1.12.2-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 07 Apr 2014 22:00:00 -0000

ros-rolling-image-proc (1.12.1-1noble) noble; urgency=high

  * get proper opencv dependency
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 05 Apr 2014 22:00:00 -0000

ros-rolling-image-proc (1.11.7-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 27 Mar 2014 23:00:00 -0000

ros-rolling-image-proc (1.11.6-1noble) noble; urgency=high

  * fix bad OpenCV linkage (#53)

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 29 Jan 2014 00:38:55 +0100


